%global momorel 4
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdebaserel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 27ca211621f38c45b1c4c9e9ef1f84b0

Summary: Allowing GTK to use QT widget styles
Name: gtk-qt-engine
Version: 0.7
Release: %{momorel}m%{?dist}
License: GPL
URL: http://gtk-qt.ecs.soton.ac.uk/
Group: User Interface/Desktops
%NoSource 0 http://gtk-qt.ecs.soton.ac.uk/files/%{version}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: admin.tar.bz2
Source2: %{name}-ja.po
Patch0: %{name}-%{version}-gtkrc-error.patch
Patch1: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: gtk2 >= 2.2.0, libbonoboui >= 2.4.0
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gtk2-devel >= 2.2.0
BuildPreReq: libbonoboui-devel >= 2.4.0
BuildPreReq: libart_lgpl-devel
BuildPreReq: zlib-devel
BuildPreReq: autoconf, automake, libtool
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
It behaves like a normal GTK theme engine, but calls functions from QT instead
of doing the drawing itself.

%prep
%setup -q -n %{name}

%patch0 -p1 -b .gtkrc-error
%patch1 -p1 -b .desktop~

# build fix
rm -rf admin
tar xf %{SOURCE1}

# for Japanese
cp %{SOURCE2} po/ja.po

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-key Keywords \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kcmgtk-xdg.desktop

# remove unneeded files
rm -rf %{buildroot}%{_prefix}/lib/menu
rm -rf %{buildroot}%{_datadir}/applnk

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/gtk-2.0/*/engines/libqtengine.la
%{_libdir}/gtk-2.0/*/engines/libqtengine.so
%{_libdir}/kde3/kcm_kcmgtk.la
%{_libdir}/kde3/kcm_kcmgtk.so
%{_datadir}/applications/kde/kcmgtk-xdg.desktop
%{_datadir}/gtk-qt-engine
%{_datadir}/locale/*/LC_MESSAGES/gtkqtengine.mo
%{_datadir}/themes/Qt

%changelog
* Sat Apr  7 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7-4m)
- %%{_libdir}/menu -> %%{_prefix}/lib/menu

* Tue Apr  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-3m)
- update gtk-qt-engine-ja.po from TurboLinux/ia32/wizpy/

* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-2m)
- modify for new autotools and dive into the trunk

* Thu Jul 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- import from Centro

* Wed Jul 26 2006 Yukinori Tojo - 0.7-2
- added ja.po

* Wed Jul 26 2006 Yukinori Tojo - 0.7-1
- upto 0.7

* Sat Jun 17 2006 Bob Lee <bobl@turbolinux.com> - 0.6-6
- add zh_CN.utf8 summary and description

* Thu Nov 24 2005 Go Taniguchi <go@turbolinux.co.jp> 0.6-5
- if wm is gnome/xfce, disabled
- thunderbird too

* Thu Oct  6 2005 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> - 0.6-4
- do not provide applnk/Settings

* Wed Oct 5 2005 Go Taniguchi <go@turbolinux.co.jp> 0.6-3
- postun script fix

* Tue Aug  2 2005 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> - 0.6-2
- added japanese messages

* Wed Jun 29 2005 Yukinori Tojo - 0.6-1
- Initial release for Turbolinux.
